<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>

<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>

<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>

<style type="text/css">
    @import url('/css/Autocompleter.css');
</style>

<?php echo $this->headLink()->prependStylesheet($this->baseUrl() . '/css/passwordmeter.css') ?>


<script type="text/javascript">
    Cubix.ready = function () {
        new Cubix.Shadow($('content'));

        var getFilterParams = function () {
            var uri = new URI('?' + $$('form')[0].toQueryString());
            return uri.get('data');
        };

        var sales_session_id;

        var start_time;
        var last_refresh_time;
        var sales_id;

        var is_total = false;

        var popupView = new Cubix.Popup.Ajax({
            abar: [
                { caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
            ],
            width: 700
        });

        window.popupView = popupView;

        var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
            id: 'journal',
            identifier: { field: 'id' },
            header: [
                { title: 'Sales Person', field: 'bu_username', type: 'string', sortable: false},
                { title: 'Start Time', field: 'start_time', type: 'DateTime', sortable: false },
                { title: 'End Time', field: 'last_refresh_time', type: 'DateTime', sortable: false},
                { title: 'Total', field: 'total', type: 'Duration', sortable: false}
                
            ],
            sort: {
                field: 'start_time',
                dir: 'desc'
            },
            actions: [ { type: 'edit', func: function (data) {
                        if ( !is_total ){
                            window.popupView.setTitle('View Sales Work');
                            window.popupView.load('/backend-user-sessions/view?id=' + data.id, function () {
                                sales_session_id = data.id;
                                this.open();
                            });
                        }else{
                            window.popupView.setTitle('View Sales Work');
                            window.popupView.load('/backend-user-sessions/view?total=1', function () {
                                sales_session_id = 0;
                                start_time = data.start_time;
                                last_refresh_time = data.last_refresh_time;
                                sales_id = data.sales_id;
                                this.open();
                            });
                        }
                    } } ],
            data: new Cubix.Grid.Loader({ url: '/backend-user-sessions/data', params: getFilterParams })
        });

        $('total').addEvent('change', function () {
            is_total = false;
            if(this.checked){
                is_total = true;
            }
        });


        window.popupView.addEvent('loaded', function () {
            if ( $defined(this.content.getElement('.escort-active-packages-list'))) {
                var queryString = '';
                if ( sales_session_id != 0 ) {
                    queryString = "id="+sales_session_id;
                }else{
                    queryString = 'total=1&start_time=' + start_time + '&last_refresh_time=' + last_refresh_time + '&sales_id=' + sales_id;
                }

                Cubix.Grid.Instance = new Cubix.Grid(this.content.getElement('.escort-active-packages-list').getElement('.cx-grid'), {
                    identifier: { field: 'id' },
                    header: [
                        { title: 'Event Date', field: 'event_date', type: 'DateTime'},
                        { title: 'Showname', field: 'showname', type: 'string' },
                        { title: 'Comment', field: 'comment', type: 'string' },
                        { title: 'Description', field: 'data', type: 'string' },
                    ],
                    sort: {
                        field: 'date',
                        dir: 'DESC'
                    },
                    actions: [ ],
                    data: new Cubix.Grid.Loader({ 
                        url: '/backend-user-sessions/view-data?' + queryString })
                });
            }
        });


    

        grid.addEvent('loaded', function () {
            $$('.escort-showname').addEvent('click', function(e){
                e.stop();
            });
        });

        new Cubix.Button($('btn-refresh'), { onClick: function () {
                grid.load();
            }, icon: 'refresh', caption: 'Search', classes: '' });

        var clearForm = function() {
            var inputs = $$('.c-filter-form')[0].getElements('input');

            inputs.each(function(input) {
                var input_type = input.get('type');
                if ( input_type != 'hidden' ) {
                    if ( input_type == 'text' ) {
                        input.set('value', '');
                    }
                    else {
                        input.set('checked', '');
                    }
                }
            });

            var selects = $$('.c-filter-form')[0].getElements('select');

            selects.each(function(select) {
                select.set('value', '');
            });
        };

        new Cubix.Button($('btn-reset'), { onClick: function () {
                clearForm();
                grid.load();
            }, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

        var initFormSubmit = function() {
            var inputs = $$('.c-filter-form')[0].getElements('input');

            inputs.each(function(input) {
                var input_type = input.get('type');

                if ( input_type != 'hidden' ) {
                    if ( input_type == 'text' ) {
                        input.addEvent('keyup', function(event) {
                            if( event.key == 'enter' ) {
                                grid.load();
                            }
                        });
                    }
                    else {
                        input.addEvent('change', function(){
                            grid.load();
                        });
                    }
                }
            });

            var selects = $$('.c-filter-form')[0].getElements('select');

            selects.each(function(it) {
                if ( it.get('name') != 'filter_by' && it.get('name') != 'dates_defined' ) {
                    it.addEvent('change', function(){
                        grid.load();
                    });
                }
            });
        };


        var initDateFilter = function(filter_form)
        {
            var defined_dates = {'today': 'Today', 'yesterday': 'Yesterday', 'last_7_days' : 'Last 7 days', 'this_month': 'This month', 'last_month': 'Last month'};
            var defined_dates2 = {'today': 'Today', 'tomorrow': 'Tomorrow', 'this_week': 'This week', 'next_week': 'Next week'};

            date_from_picker = $(filter_form).getElement('.f-date-from');
            var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
                positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
            date_to_picker = $(filter_form).getElement('.f-date-to');
            var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
                positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });



			
            $(filter_form).getElement('.f-dates-defined').set('html', '');
            new Element('option', {
                value: '',
                html: '- any -'
            }).inject($(filter_form).getElement('.f-dates-defined'));
            for ( var it in defined_dates) {
                new Element('option', {
                    value: it,
                    html: defined_dates[it]
                }).inject($(filter_form).getElement('.f-dates-defined'));
            };

            $(filter_form).getElement('.f-dates-defined').set('disabled', '');
            $(filter_form).getElement('.f-date-from').set('disabled', '');
            $(filter_form).getElement('.f-date-to').set('disabled', '');
            $(filter_form).getElement('.f-date-from').getNext().set('disabled', '');
            $(filter_form).getElement('.f-date-to').getNext().set('disabled', '');

            $(filter_form).getElement('.f-dates-defined').addEvent('change', function() {
 
                switch(this.get('value'))
                {
                    case '':
                        date_from.onFocus(date_from.item, date_from.clone, true);
                        date_from.select(date_from.dateToObject(new Date()), true);

                        date_to.onFocus(date_to.item, date_to.clone, true);
                        date_to.select(date_to.dateToObject(new Date()), true);
                        break;
                    case 'today':
                        date_from.onFocus(date_from.item, date_from.clone, true);
                        date_from.select(date_from.dateToObject(new Date()));

                        date_to.onFocus(date_to.item, date_to.clone, true);
                        date_to.select(date_to.dateToObject(new Date()));
                        break;
                    case 'yesterday':
                        date_from.onFocus(date_from.item, date_from.clone, true);
                        date_from.select(date_from.dateToObject(new Date().decrement('day', 1)));

                        date_to.onFocus(date_to.item, date_to.clone, true);
                        date_to.select(date_to.dateToObject(new Date()));
                        break;
                    case 'last_7_days':
                        date_from.onFocus(date_from.item, date_from.clone, true);
                        date_from.select(date_from.dateToObject(new Date().decrement('day', 7)));

                        date_to.onFocus(date_to.item, date_to.clone, true);
                        date_to.select(date_to.dateToObject(new Date()));
                        break;
                    case 'this_month':
                        var last_day = new Date().get('lastdayofmonth');

                        date_from.onFocus(date_from.item, date_from.clone, true);
                        date_from.select(date_from.dateToObject(new Date().set('date', 1)));

                        date_to.onFocus(date_to.item, date_to.clone, true);
                        date_to.select(date_to.dateToObject(new Date().set('date', last_day)));
                        break;
                    case 'last_month':
                        var last_month = new Date().decrement('month', 1);

                        var last_day = last_month.get('lastdayofmonth');

                        date_from.onFocus(date_from.item, date_from.clone, true);
                        date_from.select(date_from.dateToObject(last_month.set('date', 1)));

                        date_to.onFocus(date_to.item, date_to.clone, true);
                        date_to.select(date_to.dateToObject(last_month.set('date', last_day)));
                        break;
                }
            });
        };

        initDateFilter('filter-form');


        initFormSubmit();
    };
</script>

<div class="form-common gray c-filter-form">
    <form id="filter-form">
      
                <div class="fleft">
                    <!-- DATE FILTRATION -->
                    <fieldset class="inner mb10">
                         <div class="inner">
                            <label for="f-sales-person">Sales Person</label>
                                    <select name="sales_user_id" id="f-sales-person" class="w14">
                                        <option value=""> - any - </option>
                                <? $model = new Model_Moderators();
                                foreach ($model->getByApplicationId($this->request()->application_id) as $user): ?>
                                    <option value="<?= $user->id ?>" <?= ($this->filter_params['sales_user_id'] == $user->id) ? 'selected="selected"' : '' ?> ><?= $user->username ?></option>
                                <? endforeach; ?>
                            </select>
                        </div>


                <div class="inner">
                    <label>
                        <span>Date:</span>
                    </label>
                    <select id="f-dates-defined" name="dates_defined" class="w14 f-dates-defined">
                        <option value=""> - any - </option>
                        <option value="today">Today</option>
                        <option value="yesterday">Yesterday</option>
                        <option value="last_7_days">Last 7 Days</option>
                        <option value="this_month">This Month</option>
                        <option value="last_month">Last Month</option>
                    </select>
                </div>

                

<!--
                <div class="clear"></div>-->
                <div class="inner">
                    <label>
                        <span>From</span>
                    </label>
                    <input id="f-date-from" type="text" class="txt w128 f-date-from" name="date_from" value="" disabled="disabled" />
                </div>

                <div class="inner" style="padding-top: 25px">
                    <span> - </span>
                </div>

                <div class="inner">
                    <label>
                        <span>To</span>
                    </label>
                    <input id="f-date-to" type="text" class="txt w128 f-date-to" name="date_to" value="" disabled="disabled" />
                </div>


                 <div class="inner">
                    <label>
                        <span>Total:</span>
                    </label>
                     <input type="checkbox" id="total" name="total" />
                </div>
                <div class="clear"></div>
            </fieldset>

        </div>

        <div class="clear"></div>

        <a id="btn-refresh"></a>
        <a id="btn-reset"></a>
        <div class="clear"></div>
    </form>
</div><!-- form-common -->

<div class="clear"></div>

<div id="ajax-dest">
    <div id="cx-grid">
    </div>
</div>
